/*
 * Copyright (c) 2009 Andrea Nobile
 * 
 *
 * This software is available to you under a choice of one of two
 * licenses.  You may choose to be licensed under the terms of the GNU
 * General Public License (GPL) Version 2, available from the file
 * COPYING in the main directory of this source tree, or the
 * OpenIB.org BSD license below:
 *
 *     Redistribution and use in source and binary forms, with or
 *     without modification, are permitted provided that the following
 *     conditions are met:
 *
 *      - Redistributions of source code must retain the above
 *        copyright notice, this list of conditions and the following
 *        disclaimer.
 *
 *      - Redistributions in binary form must reproduce the above
 *        copyright notice, this list of conditions and the following
 *        disclaimer in the documentation and/or other materials
 *        provided with the distribution.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

/* torus link and phy initialization */

#ifndef TORUS_CONFIG_H
#define TORUS_CONFIG_H

#include "tnw.h"
#include "tnw_ppu.h"

/* initialization for tools */
int tnw_init_nolock();

unsigned int tnw_reset_phy(unsigned int phy);
unsigned int tnw_reset_link(unsigned int lnk);
unsigned int tnw_config_if(unsigned int phy, tnw_if_mode_t mode);
unsigned int tnw_set_preemphasis(unsigned int phy, unsigned int en);
unsigned int tnw_set_swing(unsigned int phy,  unsigned int sw);
unsigned int tnw_set_equalization(unsigned int phy, unsigned int eq);
void tnw_remove_offline(unsigned int phy);

/* topology configuaration and node coordinates */
unsigned int tnw_set_topo(tnw_topo_t *topo);


#endif
